org.apache.hadoop.mapreduce.v2.app.job.event

## Class JobCommitCompletedEvent

- java.lang.Object
- - org.apache.hadoop.yarn.event.AbstractEvent<JobEventType>
  - - org.apache.hadoop.mapreduce.v2.app.job.event.JobEvent
    - - org.apache.hadoop.mapreduce.v2.app.job.event.JobCommitCompletedEvent

- All Implemented Interfaces:
    org.apache.hadoop.yarn.event.Event<JobEventType>

      public class JobCommitCompletedEvent
      extends JobEvent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobCommitCompletedEvent(org.apache.hadoop.mapreduce.v2.api.records.JobId jobID)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.mapreduce.v2.app.job.event.JobEvent

      `getJobId`

    - ### Methods inherited from class org.apache.hadoop.yarn.event.AbstractEvent

      `getTimestamp, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobCommitCompletedEvent

          public JobCommitCompletedEvent(org.apache.hadoop.mapreduce.v2.api.records.JobId jobID)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.